Update campaign

View as Markdown

Update a campaign’s configuration. Only allowed when the campaign is in paused or scheduled status.

You can update the name, description, agent configuration, end timestamp, and allowed schedule.

Path parameters

org_idstringRequired
workspace_idstringRequired
campaign_idstringRequired

Request

This endpoint expects an object.
namestring or nullOptional
Updated campaign name. Alphanumeric, hyphens, underscores and spaces allowed. Max 50 characters.
descriptionstring or nullOptional<=150 characters
Updated campaign description. Max 150 characters.
app_configobject or nullOptional
Updated agent configuration
end_timestampdatetime or nullOptional

Updated campaign end time (ISO 8601)

allowed_scheduleobject or nullOptional
Updated schedule constraints

Response

Successful Response
namestring
Name of the resource
campaign_idstring
Unique identifier for the campaign
statusenum
Current status
app_idstring
ID of the agent
created_bystring
User who created this resource
created_atdatetime

Timestamp when the resource was created (ISO 8601)

updated_atdatetime

Timestamp when the resource was last updated (ISO 8601)

descriptionstring or null
Optional description
app_typeenum
Type of agent
app_versioninteger or null
Version of the agent to use
updated_bystring or null
User who last updated this resource

Errors

422
Unprocessable Entity Error